> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-integration/faq/golf-event-centre-widget.md).

# Golf Event Centre Widget

### Can I deep-link to a specific view of the Golf Event Centre?

The Golf Event Centre supports deep-linking into specific modules and views. [Click here for more details.](https://docs.imgarena.com/golf-event-centre-integration-documentation/golf-ec-deep-linking/sandbox-examples)

### How do I Deep-link the event centre to my golf markets?

To deeplink the Golf Event Centre to specific golf markets:

1. **Use the `eventID` from the `/tournaments` endpoint**
2. This ID uniquely identifies the tournament and is required to initialize the Event Centre.
3. **Target specific context (hole or group)**
4. For **hole-level linking**: use the `holeId` to initialize views tied to Player, 2-Ball, or 3-Ball markets. [Click here for details.](/golf-integration/golf-ec-deep-linking/par-3-streaming-with-3-and-2-ball-markets.md)
5. For **group-level linking**: use the `groupId` from the `/schedule` endpoint to align with 2-Ball and 3-Ball markets. [Click here for details.](/golf-integration/golf-ec-deep-linking/context-driven-markets-display.md)

### Navigation Message Support

The Event Centre supports:

* **Programmatic navigation triggers**\
  You can send messages to change views (e.g., switch to a specific hole, group, or leaderboard).

[Click here for more details.](https://docs.imgarena.com/golf-event-centre-integration-documentation/golf-ec-deep-linking/context-driven-markets-display#emitting)

### What size of the iframe do you recommend?

* Recommended: **375px width × 362px height**
* Minimum Supported Width = **320px**
* Reducing height may cause UI misalignment.

### How to pass your Google Analytics ID:

* Use the `options` field in the integration library:

`options: { videoPlaybackEnabled: true, userId: 'UA-XXXXXX-X' }`

* Contact IMG Integrations team if you need your GA ID.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf-integration/faq/golf-event-centre-widget.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
